<?php

$pheanstalk = require_once "bstd.php";

$start     = microtime(true);
$lastIndex = 0;
for ($i = 0; $i < 200000; $i++) {
    //$msg = "id: " . $i . ' date: ' . date('Y-m-d H:i:s') . ' ' . json_encode($_SERVER);
    //$msg = json_encode(['id' => $i, 'date' => date('Y-m-d H:i:s'), 'server' => $_SERVER]);
    $msg = json_encode([
        'id'              => $i,
        'date'            => date('Y-m-d H:i:s'),
        'PHP_SELF'        => $_SERVER['PHP_SELF'],
        'SCRIPT_NAME'     => $_SERVER['SCRIPT_NAME'],
        'SCRIPT_FILENAME' => $_SERVER['SCRIPT_FILENAME'],
    ]);
    $msg = json_encode([
        'id'       => $i,
        'date'     => date('Y-m-d H:i:s'),
        '_SERVER'  => $_SERVER,
        //'_SERVER2' => $_SERVER,
    ]);

    $pheanstalk
        ->useTube('ExampleTube')
        ->put($msg);

    //echo 'Added: ' . $i . PHP_EOL;

    if (((microtime(true) - $start) * 1000) >= 1000) {
        $lastIndex = $i;
        break;
    }
}

echo "Last index: " . $lastIndex . PHP_EOL;

// with some settings
//$pheanstalk
//    ->useTube('testtube')
//    ->put(
//        json_encode(['test' => 'data']),  // encode data in payload
//        Pheanstalk::DEFAULT_PRIORITY,     // default priority
//        30, // delay by 30s
//        60  // beanstalk will retry job after 60s
//     );
